#include "SDL/SDL_opengl.h"
#include "gl_utils.h"

void setTransform(const dReal *p, const dReal *r)
{
	GLfloat matrix[16];
	matrix[0] = r[0];
	matrix[1] = r[4];
	matrix[2] = r[8];
	matrix[3] = matrix[7] = matrix[11] = 0;
	matrix[4] = r[1];
	matrix[5] = r[5];
	matrix[6] = r[9];
	matrix[8] = r[2];
	matrix[9] = r[6];
	matrix[10] = r[10];
	matrix[12] = p[0];
	matrix[13] = p[1];
	matrix[14] = p[2];
	matrix[15] = 1;
	glMultMatrixf(matrix);
}

