#include "math_utils.h"
#include <math.h>

void QuaternionMult(dQuaternion fw, dQuaternion q2, dQuaternion iv)
{
	fw[0] = q2[0] * iv[0] - q2[1] * iv[1] - q2[2] * iv[2] - q2[3] * iv[3];
	fw[1] = q2[0] * iv[1] + q2[1] * iv[0] + q2[2] * iv[3] - q2[3] * iv[2];
	fw[2] = q2[0] * iv[2] + q2[2] * iv[0] + q2[3] * iv[1] - q2[1] * iv[3];
	fw[3] = q2[0] * iv[3] + q2[3] * iv[0] + q2[1] * iv[2] - q2[2] * iv[1];
}

